diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -4155,105 +3271,105 @@ get_or_create_compound_svalue2 (tree type,
 
 /* FIXME.  */
 
-const svalue2 *
-region_model2_manager::
-get_or_create_conjured_svalue2 (tree type, const gimple *stmt,
-				const region2 *id_reg)
+const svalue *
+region_model_manager::
+get_or_create_conjured_svalue (tree type, const gimple *stmt,
+				const region *id_reg)
 {
-  conjured_svalue2::key_t key (type, stmt, id_reg);
-  if (conjured_svalue2 **slot = m_conjured_values_map.get (key))
+  conjured_svalue::key_t key (type, stmt, id_reg);
+  if (conjured_svalue **slot = m_conjured_values_map.get (key))
     return *slot;
-  conjured_svalue2 *conjured_sval
-    = new conjured_svalue2 (type, stmt, id_reg);
+  conjured_svalue *conjured_sval
+    = new conjured_svalue (type, stmt, id_reg);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (conjured_sval);
   m_conjured_values_map.put (key, conjured_sval);
   return conjured_sval;
 }
 
-/* region2 consolidation.  */
+/* region consolidation.  */
 
 /* FIXME.  */
 
-const function_region2 *
-region_model2_manager::get_region_for_fndecl (tree fndecl)
+const function_region *
+region_model_manager::get_region_for_fndecl (tree fndecl)
 {
   gcc_assert (TREE_CODE (fndecl) == FUNCTION_DECL);
 
-  function_region2 **slot = m_fndecls_map.get (fndecl);
+  function_region **slot = m_fndecls_map.get (fndecl);
   if (slot)
     return *slot;
-  function_region2 *reg
-    = new function_region2 (alloc_region_id (), &m_code_region, fndecl);
+  function_region *reg
+    = new function_region (alloc_region_id (), &m_code_region, fndecl);
   m_fndecls_map.put (fndecl, reg);
   return reg;
 }
 
 /* FIXME.  */
 
-const label_region2 *
-region_model2_manager::get_region_for_label (tree label)
+const label_region *
+region_model_manager::get_region_for_label (tree label)
 {
   gcc_assert (TREE_CODE (label) == LABEL_DECL);
 
-  label_region2 **slot = m_labels_map.get (label);
+  label_region **slot = m_labels_map.get (label);
   if (slot)
     return *slot;
 
   tree fndecl = DECL_CONTEXT (label);
   gcc_assert (fndecl && TREE_CODE (fndecl) == FUNCTION_DECL);
 
-  const function_region2 *func_reg = get_region_for_fndecl (fndecl);
-  label_region2 *reg
-    = new label_region2 (alloc_region_id (), func_reg, label);
+  const function_region *func_reg = get_region_for_fndecl (fndecl);
+  label_region *reg
+    = new label_region (alloc_region_id (), func_reg, label);
   m_labels_map.put (label, reg);
   return reg;
 }
 
 /* FIXME.  */
 
-const decl_region2 *
-region_model2_manager::get_region_for_global (tree expr)
+const decl_region *
+region_model_manager::get_region_for_global (tree expr)
 {
   gcc_assert (TREE_CODE (expr) == VAR_DECL);
 
-  decl_region2 **slot = m_globals_map.get (expr);
+  decl_region **slot = m_globals_map.get (expr);
   if (slot)
     return *slot;
-  decl_region2 *reg
-    = new decl_region2 (alloc_region_id (), &m_globals_region, expr);
+  decl_region *reg
+    = new decl_region (alloc_region_id (), &m_globals_region, expr);
   m_globals_map.put (expr, reg);
   return reg;
 }
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::get_field_region (const region2 *parent, tree field)
+const region *
+region_model_manager::get_field_region (const region *parent, tree field)
 {
   // FIXME: should only alloc_region_id if consolidation fails
-  region2 *field_reg = new field_region2 (alloc_region_id (), parent, field);
-  return const_cast <region2 *> (m_fields.consolidate (field_reg));
+  region *field_reg = new field_region (alloc_region_id (), parent, field);
+  return const_cast <region *> (m_fields.consolidate (field_reg));
 }
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::get_element_region (const region2 *parent,
+const region *
+region_model_manager::get_element_region (const region *parent,
 					   tree element_type,
-					   const svalue2 *index)
+					   const svalue *index)
 {
   // FIXME: should only alloc_region_id if consolidation fails
-  region2 *element_reg
-    = new element_region2 (alloc_region_id (), parent, element_type, index);
-  return const_cast <region2 *> (m_elements.consolidate (element_reg));
+  region *element_reg
+    = new element_region (alloc_region_id (), parent, element_type, index);
+  return const_cast <region *> (m_elements.consolidate (element_reg));
 }
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::get_offset_region (const region2 *parent,
+const region *
+region_model_manager::get_offset_region (const region *parent,
 					  tree type,
-					  const svalue2 *byte_offset)
+					  const svalue *byte_offset)
 {
   /* If BYTE_OFFSET is zero, return PARENT.  */
   if (tree cst_offset = byte_offset->maybe_get_constant ())
@@ -4262,26 +3378,26 @@ region_model2_manager::get_offset_region (const region2 *parent,
 
   /* Fold OFFSET_REGION(OFFSET_REGION(REG, X), Y)
      to   OFFSET_REGION(REG, (X + Y)).  */
-  if (const offset_region2 *parent_offset_reg
-	= parent->dyn_cast_offset_region2 ())
+  if (const offset_region *parent_offset_reg
+	= parent->dyn_cast_offset_region ())
     {
-      const svalue2 *sval_x = parent_offset_reg->get_byte_offset ();
-      const svalue2 *sval_sum
+      const svalue *sval_x = parent_offset_reg->get_byte_offset ();
+      const svalue *sval_sum
 	= get_or_create_binop (byte_offset->get_type (),
 			       PLUS_EXPR, sval_x, byte_offset);
       return get_offset_region (parent->get_parent_region (), type, sval_sum);
     }
 
   // FIXME: should only alloc_region_id if consolidation fails
-  region2 *offset_reg
-    = new offset_region2 (alloc_region_id (), parent, type, byte_offset);
-  return const_cast <region2 *> (m_offset_regions.consolidate (offset_reg));
+  region *offset_reg
+    = new offset_region (alloc_region_id (), parent, type, byte_offset);
+  return const_cast <region *> (m_offset_regions.consolidate (offset_reg));
 }
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::get_cast_region (const region2 *original_region,
+const region *
+region_model_manager::get_cast_region (const region *original_region,
 					tree type)
 {
   /* If types match, return ORIGINAL_REGION.  */
@@ -4289,70 +3405,70 @@ region_model2_manager::get_cast_region (const region2 *original_region,
     return original_region;
 
   // FIXME: should only alloc_region_id if consolidation fails
-  region2 *cast_reg
-    = new cast_region2 (alloc_region_id (), original_region, type);
-  return const_cast <region2 *> (m_cast_regions.consolidate (cast_reg));
+  region *cast_reg
+    = new cast_region (alloc_region_id (), original_region, type);
+  return const_cast <region *> (m_cast_regions.consolidate (cast_reg));
 }
 
 /* FIXME.  */
 
-const frame_region2 *
-region_model2_manager::get_frame_region (const frame_region2 *calling_frame,
+const frame_region *
+region_model_manager::get_frame_region (const frame_region *calling_frame,
 					 function *fun)
 {
   int index = calling_frame ? calling_frame->get_index () + 1 : 0;
   // FIXME: should only alloc_region_id if consolidation fails
-  frame_region2 *frame_reg
-    = new frame_region2 (alloc_region_id (), &m_stack_region, calling_frame,
+  frame_region *frame_reg
+    = new frame_region (alloc_region_id (), &m_stack_region, calling_frame,
 			 fun, index);
-  return const_cast <frame_region2 *> (m_frames.consolidate (frame_reg));
+  return const_cast <frame_region *> (m_frames.consolidate (frame_reg));
 }
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::get_symbolic_region (const svalue2 *sval)
+const region *
+region_model_manager::get_symbolic_region (const svalue *sval)
 {
   // FIXME: should only alloc_region_id if consolidation fails
-  region2 *reg
-    = new symbolic_region2 (alloc_region_id (), &m_root_region, sval);
-  return const_cast <region2 *> (m_symbolic_regions.consolidate (reg));
+  region *reg
+    = new symbolic_region (alloc_region_id (), &m_root_region, sval);
+  return const_cast <region *> (m_symbolic_regions.consolidate (reg));
 }
 
 /* FIXME.  */
 
-const string_region2 *
-region_model2_manager::get_region_for_string (tree string_cst)
+const string_region *
+region_model_manager::get_region_for_string (tree string_cst)
 {
   gcc_assert (TREE_CODE (string_cst) == STRING_CST);
 
-  string_region2 **slot = m_string_map.get (string_cst);
+  string_region **slot = m_string_map.get (string_cst);
   if (slot)
     return *slot;
-  string_region2 *reg
-    = new string_region2 (alloc_region_id (), &m_root_region, string_cst);
+  string_region *reg
+    = new string_region (alloc_region_id (), &m_root_region, string_cst);
   // FIXME: is there a better choice of parent region?
   m_string_map.put (string_cst, reg);
   return reg;
 }
 
 /* If we see a tree code we don't know how to handle, rather than
-   ICE or generate bogus results, create a dummy region2, and notify
+   ICE or generate bogus results, create a dummy region, and notify
    CTXT so that it can mark the new state as being not properly
    modelled.  The exploded graph can then stop exploring that path,
    since any diagnostics we might issue will have questionable
    validity.  */
 
-const region2 *
-region_model2_manager::
-get_region2_for_unexpected_tree_code (region_model2_context *ctxt,
+const region *
+region_model_manager::
+get_region_for_unexpected_tree_code (region_model_context *ctxt,
 				      tree t,
 				      const dump_location_t &loc)
 {
   gcc_assert (ctxt);
   tree type = TYPE_P (t) ? t : TREE_TYPE (t);
-  region2 *new_reg
-    = new unknown_region2 (alloc_region_id (), &m_root_region, type); // FIXME
+  region *new_reg
+    = new unknown_region (alloc_region_id (), &m_root_region, type); // FIXME
   // or should this be something else?
   ctxt->on_unexpected_tree_code (t, loc);
   return new_reg;
@@ -4360,12 +3476,12 @@ get_region2_for_unexpected_tree_code (region_model2_context *ctxt,
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::create_region_for_heap_alloc ()
+const region *
+region_model_manager::create_region_for_heap_alloc ()
 {
   // FIXME: should this be a symbolic region??
-  region2 *reg
-    = new heap_allocated_region2 (alloc_region_id (), &m_heap_region);
+  region *reg
+    = new heap_allocated_region (alloc_region_id (), &m_heap_region);
   m_managed_dynamic_regions.safe_push (reg);
   // TODO: selftest; verify no leak under valgrind
   return reg;
@@ -4375,10 +3491,10 @@ region_model2_manager::create_region_for_heap_alloc ()
 
 /* FIXME.  */
 
-const region2 *
-region_model2_manager::create_region_for_alloca (const frame_region2 *frame)
+const region *
+region_model_manager::create_region_for_alloca (const frame_region *frame)
 {
-  region2 *reg = new alloca_region2 (alloc_region_id (), frame);
+  region *reg = new alloca_region (alloc_region_id (), frame);
   m_managed_dynamic_regions.safe_push (reg);
   // TODO: selftest; verify no leak under valgrind
   return reg;
@@ -4401,7 +3517,7 @@ log_managed_object (logger *logger, const T *obj)
 
 template <>
 void
-log_managed_object (logger *logger, const frame_region2 *obj)
+log_managed_object (logger *logger, const frame_region *obj)
 {
   logger->start_log_line ();
   pretty_printer *pp = logger->get_printer ();
@@ -4448,43 +3564,43 @@ log_uniq_manager (logger *logger, bool show_objs, const char *title,
 /* FIXME.  */
 
 void
-region_model2_manager::log_stats (logger *logger, bool show_objs) const
+region_model_manager::log_stats (logger *logger, bool show_objs) const
 {
   LOG_SCOPE (logger);
-  logger->log ("svalue2 consolidation");
-  log_uniq_map (logger, show_objs, "constant_svalue2", m_constants_map);
-  log_uniq_map (logger, show_objs, "unknown_svalue2", m_unknowns_map);
+  logger->log ("svalue consolidation");
+  log_uniq_map (logger, show_objs, "constant_svalue", m_constants_map);
+  log_uniq_map (logger, show_objs, "unknown_svalue", m_unknowns_map);
   if (m_unknown_NULL)
     log_managed_object (logger, m_unknown_NULL);
-  log_uniq_map (logger, show_objs, "poisoned_svalue2", m_poisoned_values_map);
-  log_uniq_map (logger, show_objs, "setjmp_svalue2", m_setjmp_values_map);
-  log_uniq_map (logger, show_objs, "initial_svalue2", m_initial_values_map);
-  log_uniq_map (logger, show_objs, "region_svalue2", m_pointer_values_map);
-  log_uniq_map (logger, show_objs, "unaryop_svalue2", m_unaryop_values_map);
-  log_uniq_map (logger, show_objs, "binop_svalue2", m_binop_values_map);
-  log_uniq_map (logger, show_objs, "sub_svalue2", m_sub_values_map);
-  log_uniq_map (logger, show_objs, "unmergeable_svalue2",
+  log_uniq_map (logger, show_objs, "poisoned_svalue", m_poisoned_values_map);
+  log_uniq_map (logger, show_objs, "setjmp_svalue", m_setjmp_values_map);
+  log_uniq_map (logger, show_objs, "initial_svalue", m_initial_values_map);
+  log_uniq_map (logger, show_objs, "region_svalue", m_pointer_values_map);
+  log_uniq_map (logger, show_objs, "unaryop_svalue", m_unaryop_values_map);
+  log_uniq_map (logger, show_objs, "binop_svalue", m_binop_values_map);
+  log_uniq_map (logger, show_objs, "sub_svalue", m_sub_values_map);
+  log_uniq_map (logger, show_objs, "unmergeable_svalue",
 		m_unmergeable_values_map);
-  log_uniq_map (logger, show_objs, "widening_svalue2", m_widening_values_map);
-  log_uniq_map (logger, show_objs, "compound_svalue2", m_compound_values_map);
-  log_uniq_map (logger, show_objs, "conjured_svalue2", m_conjured_values_map);
+  log_uniq_map (logger, show_objs, "widening_svalue", m_widening_values_map);
+  log_uniq_map (logger, show_objs, "compound_svalue", m_compound_values_map);
+  log_uniq_map (logger, show_objs, "conjured_svalue", m_conjured_values_map);
   logger->log ("max accepted svalue num_nodes: %i",
 	       m_max_complexity.m_num_nodes);
   logger->log ("max accepted svalue max_depth: %i",
 	       m_max_complexity.m_max_depth);
 
-  logger->log ("region2 consolidation");
+  logger->log ("region consolidation");
   logger->log ("  next region id: %i", m_next_region_id);
-  log_uniq_map (logger, show_objs, "function_region2", m_fndecls_map);
-  log_uniq_map (logger, show_objs, "label_region2", m_labels_map);
-  log_uniq_map (logger, show_objs, "decl_region2 for globals", m_globals_map);
-  log_uniq_manager (logger, show_objs, "field_region2", m_fields);
-  log_uniq_manager (logger, show_objs, "element_region2", m_elements);
-  log_uniq_manager (logger, show_objs, "offset_region2", m_offset_regions);
-  log_uniq_manager (logger, show_objs, "cast_region2", m_cast_regions);
-  log_uniq_manager (logger, show_objs, "frame_region2", m_frames);
-  log_uniq_manager (logger, show_objs, "symbolic_region2", m_symbolic_regions);
-  log_uniq_map (logger, show_objs, "string_region2", m_string_map);
+  log_uniq_map (logger, show_objs, "function_region", m_fndecls_map);
+  log_uniq_map (logger, show_objs, "label_region", m_labels_map);
+  log_uniq_map (logger, show_objs, "decl_region for globals", m_globals_map);
+  log_uniq_manager (logger, show_objs, "field_region", m_fields);
+  log_uniq_manager (logger, show_objs, "element_region", m_elements);
+  log_uniq_manager (logger, show_objs, "offset_region", m_offset_regions);
+  log_uniq_manager (logger, show_objs, "cast_region", m_cast_regions);
+  log_uniq_manager (logger, show_objs, "frame_region", m_frames);
+  log_uniq_manager (logger, show_objs, "symbolic_region", m_symbolic_regions);
+  log_uniq_map (logger, show_objs, "string_region", m_string_map);
   logger->log ("  # managed dynamic regions: %i",
 	       m_managed_dynamic_regions.length ());
   m_store_mgr.log_stats (logger, show_objs);
@@ -4497,68 +3613,68 @@ void
 store_manager::log_stats (logger *logger, bool show_objs) const
 {
   LOG_SCOPE (logger);
-  log_uniq_manager (logger, show_objs, "concrete_binding2",
+  log_uniq_manager (logger, show_objs, "concrete_binding",
 		    m_concrete_binding_key_mgr);
-  log_uniq_manager (logger, show_objs, "symbolic_binding2",
+  log_uniq_manager (logger, show_objs, "symbolic_binding",
 		    m_symbolic_binding_key_mgr);
 }
 
-/* class region_model2.  */
+/* class region_model.  */
 
-/* FIXME: region_model2's default ctor.  */
+/* FIXME: region_model's default ctor.  */
 
-region_model2::region_model2 (region_model2_manager *mgr)
+region_model::region_model (region_model_manager *mgr)
 : m_mgr (mgr), m_store (), m_current_frame (NULL)
 {
-  //m_root_reg = add_region2 (new root_region2 ());
-  m_constraints2 = new constraint_manager2 (mgr);
+  //m_root_reg = add_region (new root_region ());
+  m_constraints = new constraint_manager (mgr);
   // TODO
 }
 
-/* region_model2's copy ctor.  */
+/* region_model's copy ctor.  */
 
-region_model2::region_model2 (const region_model2 &other)
+region_model::region_model (const region_model &other)
 : m_mgr (other.m_mgr), m_store (other.m_store),
-  m_constraints2 (new constraint_manager2 (*other.m_constraints2)),
+  m_constraints (new constraint_manager (*other.m_constraints)),
   m_current_frame (other.m_current_frame)
 {
 }
 
-/* region_model2's dtor.  */
+/* region_model's dtor.  */
 
-region_model2::~region_model2 ()
+region_model::~region_model ()
 {
   // empty?
-  delete m_constraints2;
+  delete m_constraints;
 }
 
-/* region_model2's assignment operator.  */
+/* region_model's assignment operator.  */
 
-region_model2 &
-region_model2::operator= (const region_model2 &other)
+region_model &
+region_model::operator= (const region_model &other)
 {
   /* m_mgr is const.  */
   gcc_assert (m_mgr == other.m_mgr);
 
   m_store = other.m_store;
 
-  delete m_constraints2;
-  m_constraints2 = new constraint_manager2 (*other.m_constraints2);
+  delete m_constraints;
+  m_constraints = new constraint_manager (*other.m_constraints);
 
   m_current_frame = other.m_current_frame;
 
   return *this;
 }
 
-/* Equality operator for region_model2.
+/* Equality operator for region_model.
 
    FIXME:
-   Amongst other things this directly compares the svalue2 and region2
+   Amongst other things this directly compares the svalue and region
    vectors and so for this to be meaningful both this and OTHER should
    have been canonicalized.  */
 
 bool
-region_model2::operator== (const region_model2 &other) const
+region_model::operator== (const region_model &other) const
 {
   /* We can only compare instances that use the same manager.  */
   gcc_assert (m_mgr == other.m_mgr);
@@ -4566,7 +3682,7 @@ region_model2::operator== (const region_model2 &other) const
   if (m_store != other.m_store)
     return false;
 
-  if (*m_constraints2 != *other.m_constraints2)
+  if (*m_constraints != *other.m_constraints)
     return false;
 
   if (m_current_frame != other.m_current_frame)
@@ -4577,130 +3693,32 @@ region_model2::operator== (const region_model2 &other) const
   return true;
 }
 
-/* Generate a hash value for this region_model2.  */
+/* Generate a hash value for this region_model.  */
 
 #if 0
 hashval_t
-region_model2::hash () const
+region_model::hash () const
 {
   hashval_t result = 0;
   int i;
 
-  const svalue2 *svalue2;
-  FOR_EACH_VEC_ELT (m_svalue2s, i, svalue2)
-    result ^= svalue2->hash ();
+  const svalue *svalue;
+  FOR_EACH_VEC_ELT (m_svalues, i, svalue)
+    result ^= svalue->hash ();
 
-  region2 *region2;
-  FOR_EACH_VEC_ELT (m_region2s, i, region2)
-    result ^= region2->hash ();
+  region *region;
+  FOR_EACH_VEC_ELT (m_regions, i, region)
+    result ^= region->hash ();
 
   result ^= m_constraints->hash ();
 
   return result;
 }
-
-/* Print an all-on-one-line representation of this region_model2 to PP,
-   which must support %E for trees.  */
-
-void
-region_model2::print (pretty_printer *pp) const
-{
-  int i;
-
-  pp_string (pp, "svalue2s: [");
-  const svalue2 *svalue2;
-  FOR_EACH_VEC_ELT (m_svalue2s, i, svalue2)
-    {
-      if (i > 0)
-	pp_string (pp, ", ");
-      print_svalue2 (svalue2_id::from_int (i), pp);
-    }
-
-  pp_string (pp, "], region2s: [");
-
-  region2 *region2;
-  FOR_EACH_VEC_ELT (m_region2s, i, region2)
-    {
-      if (i > 0)
-	pp_string (pp, ", ");
-      region2->print (*this, region2_id::from_int (i), pp);
-    }
-
-  pp_string (pp, "], constraints: ");
-
-  m_constraints->print (pp);
-}
-
-/* Print the svalue2 with id SID to PP.  */
-
-void
-region_model2::print_svalue2 (const svalue2 *sval, pretty_printer *pp) const
-{
-  get_svalue2 (sid)->print (*this, sid, pp);
-}
-
-/* Dump a .dot representation of this region_model2 to PP, showing
-   the values and the hierarchy of region2s.  */
-
-void
-region_model2::dump_dot_to_pp (pretty_printer *pp) const
-{
-  graphviz_out gv (pp);
-
-  pp_string (pp, "digraph \"");
-  pp_write_text_to_stream (pp);
-  pp_write_text_as_dot_label_to_stream (pp, /*for_record=*/false);
-  pp_string (pp, "\" {\n");
-
-  gv.indent ();
-
-  pp_string (pp, "overlap=false;\n");
-  pp_string (pp, "compound=true;\n");
-
-  int i;
-
-  const svalue2 *svalue2;
-  FOR_EACH_VEC_ELT (m_svalue2s, i, svalue2)
-    svalue2->dump_dot_to_pp (*this, svalue2_id::from_int (i), pp);
-
-  region2 *region2;
-  FOR_EACH_VEC_ELT (m_region2s, i, region2)
-    region2->dump_dot_to_pp (*this, region2_id::from_int (i), pp);
-
-  /* TODO: constraints.  */
-
-  /* Terminate "digraph" */
-  gv.outdent ();
-  pp_string (pp, "}");
-  pp_newline (pp);
-}
-
-/* Dump a .dot representation of this region_model2 to FP.  */
-
-void
-region_model2::dump_dot_to_file (FILE *fp) const
-{
-  pretty_printer pp;
-  pp_format_decoder (&pp) = default_tree_printer;
-  pp.buffer->stream = fp;
-  dump_dot_to_pp (&pp);
-  pp_flush (&pp);
-}
-
-/* Dump a .dot representation of this region_model2 to PATH.  */
-
-void
-region_model2::dump_dot (const char *path) const
-{
-  FILE *fp = fopen (path, "w");
-  dump_dot_to_file (fp);
-  fclose (fp);
-}
 #endif
 
 // FIXME:
 /* Dump a representation of this model to PP, showing the
-   region2 hierarchy, the svalue2s, and any constraints.
+   region hierarchy, the svalues, and any constraints.
 
    If SIMPLE is true, show only the most pertinent information,
    in a form that attempts to be less verbose.
@@ -4709,7 +3727,7 @@ region_model2::dump_dot (const char *path) const
    If MULTILINE... FIXME.  */
 
 void
-region_model2::dump_to_pp (pretty_printer *pp, bool simple,
+region_model::dump_to_pp (pretty_printer *pp, bool simple,
 			   bool multiline) const
 {
   /* Dump stack.  */
@@ -4718,7 +3736,7 @@ region_model2::dump_to_pp (pretty_printer *pp, bool simple,
     pp_newline (pp);
   else
     pp_string (pp, " {");
-  for (const frame_region2 *iter_frame = m_current_frame; iter_frame;
+  for (const frame_region *iter_frame = m_current_frame; iter_frame;
        iter_frame = iter_frame->get_calling_frame ())
     {
       if (multiline)
@@ -4742,12 +3760,12 @@ region_model2::dump_to_pp (pretty_printer *pp, bool simple,
     pp_string (pp, "}");
 
   /* Dump constraints.  */
-  pp_string (pp, "constraint_manager2:");
+  pp_string (pp, "constraint_manager:");
   if (multiline)
     pp_newline (pp);
   else
     pp_string (pp, " {");
-  m_constraints2->dump_to_pp (pp, multiline);
+  m_constraints->dump_to_pp (pp, multiline);
   if (!multiline)
     pp_string (pp, "}");
 }
@@ -4755,7 +3773,7 @@ region_model2::dump_to_pp (pretty_printer *pp, bool simple,
 /* Dump a representation of this model to FILE.  */
 
 void
-region_model2::dump (FILE *fp, bool simple, bool multiline) const
+region_model::dump (FILE *fp, bool simple, bool multiline) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -4769,7 +3787,7 @@ region_model2::dump (FILE *fp, bool simple, bool multiline) const
 /* Dump a multiline representation of this model to stderr.  */
 
 DEBUG_FUNCTION void
-region_model2::dump (bool simple) const
+region_model::dump (bool simple) const
 {
   dump (stderr, simple, true);
 }
@@ -4777,19 +3795,19 @@ region_model2::dump (bool simple) const
 /* Dump a summary of this model to PP.  */
 
 void
-region_model2::summarize_to_pp (pretty_printer *pp, bool simple) const
+region_model::summarize_to_pp (pretty_printer *pp, bool simple) const
 {
   m_store.summarize_to_pp (pp, simple);
 
   // FIXME:
 #if 0
   /* Dump constraints.  */
-  pp_string (pp, "constraint_manager2:");
+  pp_string (pp, "constraint_manager:");
   if (multiline)
     pp_newline (pp);
   else
     pp_string (pp, " {");
-  m_constraints2->dump_to_pp (pp, multiline);
+  m_constraints->dump_to_pp (pp, multiline);
   if (!multiline)
     pp_string (pp, "}");
 #endif
@@ -4798,7 +3816,7 @@ region_model2::summarize_to_pp (pretty_printer *pp, bool simple) const
 /* Dump a summary of this model to stderr.  */
 
 DEBUG_FUNCTION void
-region_model2::summarize (bool simple) const
+region_model::summarize (bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -4812,7 +3830,7 @@ region_model2::summarize (bool simple) const
 /* Dump a multiline representation of this model to stderr.  */
 
 DEBUG_FUNCTION void
-region_model2::debug () const
+region_model::debug () const
 {
   dump (true);
 }
@@ -4843,10 +3861,10 @@ dump_vec_of_tree (pretty_printer *pp,
 }
 
 /* Dump all *REP_PATH_VARS to PP in compact form, updating *IS_FIRST.
-   Subroutine of region_model2::dump_to_pp.  */
+   Subroutine of region_model::dump_to_pp.  */
 
 void
-region_model2::dump_summary_of_rep_path_vars (pretty_printer *pp,
+region_model::dump_summary_of_rep_path_vars (pretty_printer *pp,
 					     auto_vec<path_var> *rep_path_vars,
 					     bool *is_first)
 {
@@ -4860,26 +3878,26 @@ region_model2::dump_summary_of_rep_path_vars (pretty_printer *pp,
     {
       if (TREE_CODE (pv->m_tree) == STRING_CST)
 	continue;
-      tentative_region_model2_context ctxt;
-      region2_id child_reg = get_lvalue (*pv, &ctxt);
+      tentative_region_model_context ctxt;
+      region_id child_reg = get_lvalue (*pv, &ctxt);
       if (ctxt.had_errors_p ())
 	continue;
-      region2 *child_region2 = get_region2 (child_reg);
-      if (!child_region2)
+      region *child_region = get_region (child_reg);
+      if (!child_region)
 	continue;
-      const svalue2 *sval = child_region2->get_value_direct ();
+      const svalue *sval = child_region->get_value_direct ();
       if (sid.null_p ())
 	continue;
-      const svalue2 *sval = get_svalue2 (sid);
+      const svalue *sval = get_svalue (sid);
       switch (sval->get_kind ())
 	{
 	default:
 	  gcc_unreachable ();
-	case SK_REGION2:
+	case SK_REGION:
 	  {
-	    const region_svalue2 *region2_sval
-	      = as_a <const region_svalue2 *> (sval);
-	    region2_id pointee_reg = region2_sval->get_pointee ();
+	    const region_svalue *region_sval
+	      = as_a <const region_svalue *> (sval);
+	    region_id pointee_reg = region_sval->get_pointee ();
 	    gcc_assert (!pointee_reg.null_p ());
 	    tree pointee = get_representative_path_var (pointee_reg).m_tree;
 	    dump_separator (pp, is_first);
@@ -4896,15 +3914,15 @@ region_model2::dump_summary_of_rep_path_vars (pretty_printer *pp,
 	  dump_separator (pp, is_first);
 	  dump_tree (pp, pv->m_tree);
 	  pp_string (pp, ": ");
-	  dump_tree (pp, sval->dyn_cast_constant_svalue2 ()->get_constant ());
+	  dump_tree (pp, sval->dyn_cast_constant_svalue ()->get_constant ());
 	  break;
 	case SK_UNKNOWN:
 	  unknown_trees.safe_push (pv->m_tree);
 	  break;
 	case SK_POISONED:
 	  {
-	    const poisoned_svalue2 *poisoned_sval
-	      = as_a <const poisoned_svalue2 *> (sval);
+	    const poisoned_svalue *poisoned_sval
+	      = as_a <const poisoned_svalue *> (sval);
 	    enum poison_kind pkind = poisoned_sval->get_poison_kind ();
 	    if (pkind == POISON_KIND_UNINIT)
 	      uninit_trees.safe_push (pv->m_tree);
@@ -4919,7 +3937,7 @@ region_model2::dump_summary_of_rep_path_vars (pretty_printer *pp,
 	case SK_SETJMP:
 	  dump_separator (pp, is_first);
 	  pp_printf (pp, "setjmp: EN: %i",
-		     sval->dyn_cast_setjmp_svalue2 ()->get_enode_index ());
+		     sval->dyn_cast_setjmp_svalue ()->get_enode_index ());
 	  break;
 	}
     }
@@ -4935,7 +3953,7 @@ region_model2::dump_summary_of_rep_path_vars (pretty_printer *pp,
 /* Assert that this object is valid.  */
 
 void
-region_model2::validate () const
+region_model::validate () const
 {
   /* Skip this in a release build.  */
 #if !CHECKING_P
@@ -4945,20 +3963,20 @@ region_model2::validate () const
   m_constraints->validate ();
 
   unsigned i;
-  region2 *r;
-  FOR_EACH_VEC_ELT (m_region2s, i, r)
+  region *r;
+  FOR_EACH_VEC_ELT (m_regions, i, r)
     r->validate (*this);
 
   // TODO: anything else?
 
-  /* Verify that the stack region2 (if any) has an "uninitialized" value.  */
-  region2 *stack_region2 = get_root_region2 ()->get_stack_region2 (this);
-  if (stack_region2)
+  /* Verify that the stack region (if any) has an "uninitialized" value.  */
+  region *stack_region = get_root_region ()->get_stack_region (this);
+  if (stack_region)
     {
-      svalue2_id stack_value_sval = stack_region2->get_value_direct ();
-      const svalue2 *stack_value = get_svalue2 (stack_value_sval);
+      svalue_id stack_value_sval = stack_region->get_value_direct ();
+      const svalue *stack_value = get_svalue (stack_value_sval);
       gcc_assert (stack_value->get_kind () == SK_POISONED);
-      poisoned_svalue2 *subclass = stack_value->dyn_cast_poisoned_svalue2 ();
+      poisoned_svalue *subclass = stack_value->dyn_cast_poisoned_svalue ();
       gcc_assert (subclass);
       gcc_assert (subclass->get_poison_kind () == POISON_KIND_UNINIT);
     }
@@ -4969,18 +3987,18 @@ region_model2::validate () const
 /* FIXME.  */
 
 void
-region_model2::canonicalize ()
+region_model::canonicalize ()
 {
   m_store.canonicalize (m_mgr->get_store_manager ());
-  m_constraints2->canonicalize ();
+  m_constraints->canonicalize ();
 }
 
 /* FIXME.  */
 
 bool
-region_model2::canonicalized_p () const
+region_model::canonicalized_p () const
 {
-  region_model2 copy (*this);
+  region_model copy (*this);
   copy.canonicalize ();
   return *this == copy;
 }
@@ -4988,7 +4006,7 @@ region_model2::canonicalized_p () const
 /* FIXME.  */
 
 void
-region_model2::loop_replay_hack (const region_model2 *dst_state)
+region_model::loop_replay_hack (const region_model *dst_state)
 {
   m_store.loop_replay_hack (dst_state->get_store (), m_mgr);
 }
@@ -4996,8 +4014,8 @@ region_model2::loop_replay_hack (const region_model2 *dst_state)
 /* FIXME.  */
 
 bool
-region_model2::on_stmt (const gimple *stmt,
-			region_model2_context *ctxt)
+region_model::on_stmt (const gimple *stmt,
+			region_model_context *ctxt)
 {
   switch (stmt->code)
     {
@@ -5012,7 +4030,7 @@ region_model2::on_stmt (const gimple *stmt,
 
     case GIMPLE_GOTO:
       /* TODO: GIMPLE_GOTO needs to be handled by the engine, not the
-	 region_model2, but I don't think this is a regression relative to
+	 region_model, but I don't think this is a regression relative to
 	 the old implementation.  */
     case GIMPLE_SWITCH:
     case GIMPLE_LABEL:
@@ -5037,9 +4055,9 @@ region_model2::on_stmt (const gimple *stmt,
    for some SVALUE, get the SVALUE.
    Otherwise return NULL.  */
 
-const svalue2 *
-region_model2::get_gassign_result (const gassign *assign,
-				   region_model2_context *ctxt)
+const svalue *
+region_model::get_gassign_result (const gassign *assign,
+				   region_model_context *ctxt)
 {
   tree lhs = gimple_assign_lhs (assign);
   tree rhs1 = gimple_assign_rhs1 (assign);
